www.cendio.com
Bug 4446 - Firewall configuration fails on unknown distribution families
: Firewall configuration fails on unknown distribution families
Status: CLOSED FIXED
: ThinLinc
Server Installer
: 3.4.0
: PC Unknown
: P2 Normal
: 4.0.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-10-23 13:27 by
Modified: 2012-11-28 12:43 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2012-10-23 13:27:35
2012-10-23 15:02:48,343: Failed to configure firewall with reason: 'in 
<string>' requires string as left operand, not NoneType

This is due to ctc/tlmisc/tl-setup/modules/thinlinc/tlsetupfirewall.py:79:

elif DISTRIBUTION_FAMILY in (SLE):

They keyword "in" should of course not be used with a singleton, there should
be a comparison operator there instead. We should probably check for this in
other places too.
------- Comment #1 From cendio 2012-10-23 14:53:55 -------
Couldn't find any more instances of this error, so fixed in r26055.
------- Comment #2 From cendio 2012-10-30 16:10:26 -------
Looks ok, tested on SLED11.